cURL
curl --request GET \ --url https://api.example.com/api/identity-providers/presets \ --header 'Authorization: Bearer <token>'
{ "presets": [ { "id": "<string>", "display_name": "<string>", "description": "<string>", "issuer_pattern": "<string>", "discovery_url_pattern": "<string>", "default_scopes": "<string>", "groups_claim": "<string>", "default_mappers": [ { "name": "<string>", "identity_provider_mapper": "<string>", "id": "<string>", "config": {} } ], "setup_instructions": "<string>" } ], "redirect_uri_template": "<string>" }
Return all pre-baked provider presets (Okta, Entra ID, Auth0, etc.).
Documentation IndexFetch the complete documentation index at: https://docs.nx1cloud.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
Known provider presets with default mappings.
All available known provider presets.
Show child attributes
Was this page helpful?